# TMCConstPtrIterator< T, ArrayT > Class Template Reference

Inheritance diagram for TMCConstPtrIterator< T, ArrayT >:

List of all members.

## Public Member Functions
| TMCConstPtrIterator (const ArrayT &inArray, uint32 startIndex=0)
const T * | operator* (void) const
TMCConstPtrIterator & | operator++ (void)
TMCConstPtrIterator | operator++ (int)
TMCConstPtrIterator & | operator-- (void)
TMCConstPtrIterator | operator-- (int)
boolean | operator== (const TMCConstPtrIterator &rhs) const
boolean | operator!= (const TMCConstPtrIterator &rhs) const
TMCConstPtrIterator & | operator= (const TMCConstPtrIterator &rhs)
void | Reset (void)
const T * | First (void)
const T * | Next (void)
boolean | More (void)
const T * | Last (void)
const T * | Prev (void)
boolean | MorePrev (void)
uint32 | GetIndex (void) const
const T * | GetCurrent (void)
## Protected Attributes
const ArrayT & | fMyArray
const T ** | fCurrent
uint32 | fCurrentIndex

### template<class T, class ArrayT>
class TMCConstPtrIterator< T, ArrayT >

## Constructor & Destructor Documentation

template<class T , class ArrayT >

TMCConstPtrIterator< T, ArrayT >::TMCConstPtrIterator | ( | const ArrayT & | inArray,
|  | uint32 | startIndex = `0` |
| ) |  |  | `[inline]`

## Member Function Documentation

template<class T , class ArrayT >

const T* TMCConstPtrIterator< T, ArrayT >::First | ( | void |  | ) | `[inline]`

template<class T , class ArrayT >

const T* TMCConstPtrIterator< T, ArrayT >::GetCurrent | ( | void |  | ) | `[inline]`

template<class T , class ArrayT >

uint32 TMCConstPtrIterator< T, ArrayT >::GetIndex | ( | void |  | ) | const`[inline]`

template<class T , class ArrayT >

const T* TMCConstPtrIterator< T, ArrayT >::Last | ( | void |  | ) | `[inline]`

template<class T , class ArrayT >

boolean TMCConstPtrIterator< T, ArrayT >::More | ( | void |  | ) | `[inline]`

template<class T , class ArrayT >

boolean TMCConstPtrIterator< T, ArrayT >::MorePrev | ( | void |  | ) | `[inline]`

template<class T , class ArrayT >

const T* TMCConstPtrIterator< T, ArrayT >::Next | ( | void |  | ) | `[inline]`

template<class T , class ArrayT >

boolean TMCConstPtrIterator< T, ArrayT >::operator!= | ( | const TMCConstPtrIterator< T, ArrayT > & | rhs | ) | const`[inline]`

template<class T , class ArrayT >

const T* TMCConstPtrIterator< T, ArrayT >::operator* | ( | void |  | ) | const`[inline]`

template<class T , class ArrayT >

TMCConstPtrIterator TMCConstPtrIterator< T, ArrayT >::operator++ | ( | int |  | ) | `[inline]`

template<class T , class ArrayT >

TMCConstPtrIterator& TMCConstPtrIterator< T, ArrayT >::operator++ | ( | void |  | ) | `[inline]`

template<class T , class ArrayT >

TMCConstPtrIterator TMCConstPtrIterator< T, ArrayT >::operator-- | ( | int |  | ) | `[inline]`

template<class T , class ArrayT >

TMCConstPtrIterator& TMCConstPtrIterator< T, ArrayT >::operator-- | ( | void |  | ) | `[inline]`

template<class T , class ArrayT >

TMCConstPtrIterator& TMCConstPtrIterator< T, ArrayT >::operator= | ( | const TMCConstPtrIterator< T, ArrayT > & | rhs | ) | `[inline]`

template<class T , class ArrayT >

boolean TMCConstPtrIterator< T, ArrayT >::operator== | ( | const TMCConstPtrIterator< T, ArrayT > & | rhs | ) | const`[inline]`

template<class T , class ArrayT >

const T* TMCConstPtrIterator< T, ArrayT >::Prev | ( | void |  | ) | `[inline]`

template<class T , class ArrayT >

void TMCConstPtrIterator< T, ArrayT >::Reset | ( | void |  | ) | `[inline]`

## Member Data Documentation

template<class T , class ArrayT >

const T** TMCConstPtrIterator< T, ArrayT >::fCurrent`[protected]`

template<class T , class ArrayT >

uint32 TMCConstPtrIterator< T, ArrayT >::fCurrentIndex`[protected]`

template<class T , class ArrayT >

const ArrayT& TMCConstPtrIterator< T, ArrayT >::fMyArray`[protected]`

The documentation for this class was generated from the following file:

- MCPtrIterator.h